Entrypoint for the SG Tournament Server This will start the socket server and create some PubSub bindings

### Hierarchy

- Server

## Index

### Constructors

- constructor

### Properties

- LobbyManager
- socketServer

### Methods

- log
- start

## Constructors

### constructor

- new Server(options: IOptions): Server

- - Defined in src/server.ts:13

  #### Parameters

  - ##### options: IOptions

  #### Returns Server

## Properties

### Private LobbyManager

LobbyManager: LobbyManager

- Defined in src/server.ts:13

### Private socketServer

socketServer: SocketServer

- Defined in src/server.ts:12

## Methods

### Private log

- log(message: string): void

- - Defined in src/server.ts:31

  Log a message to the console

  #### Parameters

  - ##### message: string

  #### Returns void

### start

- start(): void

- - Defined in src/server.ts:21

  #### Returns void

Generated using TypeDoc